import { Request } from 'buriedPoint';
import token from './controlToken'
const baseURL = {
	'development': ' http://mock.allhome.com.cn/mock/5df2ec78d72c6e32062ac4b6/cli',
	'lan': ' http://mock.allhome.com.cn/mock/5df2ec78d72c6e32062ac4b6/cli',
	'dtest': ' http://mock.allhome.com.cn/mock/5df2ec78d72c6e32062ac4b6/cli',
	'pred': ' http://mock.allhome.com.cn/mock/5df2ec78d72c6e32062ac4b6/cli',
	'production': ' http://mock.allhome.com.cn/mock/5df2ec78d72c6e32062ac4b6/cli',
}[process.env.NODE_ENV]
const request = new Request({
	baseURL,
	timeout: 60000,
}, process.env.NODE_ENV, 'youProjectName');
request.interceptors({
	// 请求拦截
	request: config => {
		config.headers.token = token;
		return config
	},
	// 响应拦截
	response: res => {
		let { message, result, statusCode } = res.data
		//  退出登录状态码
		let logoutCodes = new Set([435001, 435011, 436050])
		if (statusCode === 1000) {
			//  更新全局token
			let { pragma } = res.headers
			if (pragma) window.token = pragma
			//  返回数据
			return result
		} else if (logoutCodes.has(statusCode)) {
			setTimeout(() => window.logout(), 1000)
			return Promise.reject({ message })
		} else {
			return Promise.reject({ message, statusCode })
		}
	},
	error: error => Promise.reject(error.response.data),
})
// 标准库request
export default request;
// 普通axios实例
export const axios = request.axios;